#
# spec file for package eartag
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           eartag
Version:        0.6.3
Release:        1.2
Summary:        Edit audio file tags
License:        MIT
URL:            https://gitlab.gnome.org/World/eartag
Source:         %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  blueprint-compiler
BuildRequires:  meson
BuildRequires:  python3-Pillow
BuildRequires:  python3-gobject
BuildRequires:  python3-mutagen
BuildRequires:  python3-pyacoustid
BuildRequires:  python3-python-magic
BuildRequires:  pkgconfig(gtk4) >= 4.16
BuildRequires:  pkgconfig(libadwaita-1) >= 1.5
Requires:       chromaprint-fpcalc
Requires:       python3-Pillow
Requires:       python3-gobject
Requires:       python3-mutagen
Requires:       python3-pyacoustid
Requires:       python3-python-magic

%description
Ear Tag is a simple audio file tag editor. It is primarily geared towards making quick edits or bulk-editing tracks in albums/EPs.
Unlike other tagging programs, Ear Tag does not require the user to set up a music library folder.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%find_lang app.drey.EarTag

%files
%license COPYING
%doc README.md
%{_bindir}/eartag
%{_datarootdir}/applications/app.drey.EarTag.desktop
%dir %{_datarootdir}/eartag
%{_datarootdir}/eartag/*
%{_datarootdir}/icons/*
%{_datarootdir}/metainfo/app.drey.EarTag.metainfo.xml
%{_datarootdir}/glib-2.0/schemas/app.drey.EarTag.gschema.xml

%files lang -f app.drey.EarTag.lang

%changelog
* Sat Nov  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.6.3:
  * fileview: use self.get_rows_sorted().keys() instead of get_present_tags()
    for extra tag filter
  * window: Set icon name
  * main: insert files to existing window if another instance tries to open
    with file args
  * meta: add argument passthrough to run script
  * main: remove debug prints
  * filelist: switch to selection mode on long press
  * window: allow to translate title
  * musicbrainz: fix closing cover tempfiles
  * Initialize ngettext
  * identify: Add release popover list into a scrolled window
  * musicbrainz: Don't download thumbnails if cover download is disabled
  * identify: Fix setting group for release row checkboxes
  * musicbrainz: Set timeout for requests
  * tagselectorbutton: add minimum/maximum height to popover
  * tagselectorbutton: Apply fix from !130, but only on small screens
  * tagselectorbutton: further reduce height
  * update translations
* Fri Sep 27 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.6.2:
  * Adapt to GNOME 47
  * requires gtk >= 4.16
  * minor bugfixes
  * updated translations
* Thu Jul 25 2024 Richard Rahl <rrahl0@opensuse.org>
- change license to MIT
* Mon May 13 2024 Richard Rahl <rrahl0@disroot.org>
- Update to version 0.6.1:
  + switch to libadwaita >= 1.5
- Add blueprint-compiler BuildRequires: new upstream dependency
  since commit 324f6a24.
- Add forgotten set_version service.
* Fri Feb 23 2024 Richard Rahl <rrahl0@proton.me>
- add chromaprint-fpcalc as dependency for identifying songs
- update to 0.6.0:
  * Tags to insert can be picked from a list,
    and inserted tags are highlighted with a color
  * The preview field also gains syntax highlighting,
    as well as a way to select the file to preview
  * A new "Move to folder" option has been added
  * new feature "Extract Tags from Filename"
  * Undo all changes in selected files feature
  * Remove tags from selected files feature
* Thu Nov 30 2023 Richard Rahl <rrahl0@proton.me>
- initial packaging of version 0.5.1 for openSUSE Tumbleweed
